///////////// 사용자수정가능함수 ////////////

function AbortItemOver() {
	alert("허용 개수 "+nn_paramMaxFileNumber+"개를 초과했습니다.");
}

function AbortSizeOver() {
	alert("허용 용량을 "+nn_paramMaxFileSize+"MB를 초과했습니다.");
}

function AbortDeleteFile() {
	alert("삭제할 파일이 없습니다.");
}

function AbortExtensionNot() {

	alert("허용된 파일 형식이 아닙니다.\n\n허용파일: "+nn_paramFilter.replace(/\|/gi, " "));
}

///////////// 사용자수정가능함수끝 ////////////

var nnupload = null;

function pluginLoaded(sender) {
	nnupload = document.getElementById("NnUpload");
}

function NotifyUploadComplete() {
	fileMove(nn_uploadPath);
}

function Initialize() {
	nnupload.content.UploadFile.Initialize();
}

function fileMove(path){
	var file_names = "";
	var uploadFile = new Array();
	uploadFile = nnupload.content.UploadFile.UploadedFileName();
	
	for(i=0;i<=uploadFile.length-1;i++){
		file_names = file_names + uploadFile[i] + "|";
	}

	filenames = getHttpRequest(nn_basePath+"/filemove.asp?filenames="+escape(file_names)+"&path="+escape(path));
	getFileName();
}


function onSilverlightError(sender, args) {
	var appSource = "";
	if (sender != null && sender != 0) {
		appSource = sender.getHost().Source;
	}

	var errorType = args.ErrorType;
	var iErrorCode = args.ErrorCode;

	if (errorType == "ImageError" || errorType == "MediaError") {
		return;
	}

	var errMsg = "Silverlight 응용 프로그램에서 처리되지 않은 오류 " +  appSource + "\n" ;

	errMsg += "코드: "+ iErrorCode + "    \n";
	errMsg += "범주: " + errorType + "       \n";
	errMsg += "메시지: " + args.ErrorMessage + "     \n";

	if (errorType == "ParserError") {
		errMsg += "파일: " + args.xamlFile + "     \n";
		errMsg += "줄: " + args.lineNumber + "     \n";
		errMsg += "위치: " + args.charPosition + "     \n";
	}
	else if (errorType == "RumtimeError") {           
		if (args.lineNumber != 0) {
			errMsg += "줄: " + args.lineNumber + "     \n";
			errMsg += "위치: " +  args.charPosition + "     \n";
		}
		errMsg += "메서드 이름: " + args.methodName + "     \n";
	}

	throw new Error(errMsg);
}

function getHttpRequest(url){
	var xmlhttp = null;
	if(window.XMLHttpRequest){
		xmlhttp = new XMLHttpRequest();
	}else{
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.open("GET", url, false);
	xmlhttp.onreadystatechange = function(){
		if(xmlhttp.readyState == 4 && xmlhttp.status == 200 && xmlhttp.statusText == "OK"){
			responseText = xmlhttp.responseText;
		}
	}
	xmlhttp.send("");
	return responseText = xmlhttp.responseText;

}